---
title: RTL Support
page_title: RTL Support - Scheduler - Kendo UI for Vue
description: "Explore the RTL support provided by the Kendo UI Scheduler wrapper for Vue."
slug: right_to_left_support_scheduler
position: 9
---

# RTL Support

You can activate the right-to-left functionality by adding the `k-rtl` class to the container of the Scheduler.

The following example demonstrates how to utilize the RTL support for the Scheduler.

{% meta height:665 %}
```html-preview

<div id="vueapp" class="vue-app k-rtl">
    <kendo-scheduler :data-source="localDataSource"
					 :date="date"
					 :height="600"
					 :show-work-hours="true"
					 :timezone="'Etc/UTC'">
      <kendo-scheduler-view :type="'day'"></kendo-scheduler-view>
      <kendo-scheduler-view :type="'workWeek'" :selected="true"></kendo-scheduler-view>
      <kendo-scheduler-view :type="'week'"></kendo-scheduler-view>
      <kendo-scheduler-view :type="'month'"></kendo-scheduler-view>
      <kendo-scheduler-view :type="'agenda'"></kendo-scheduler-view>
    </kendo-scheduler>
</div>
```
```js
Vue.use(SchedulerInstaller);

new Vue({
    el: "#vueapp",
	data: {
		date: new Date('2018/6/6'),
		localDataSource: [
			{
			  id: 1,
			  start: new Date("2018/6/6 08:00 AM"),
			  end: new Date("2018/6/6 09:00 AM"),
			  title: "Interview"
			},
			{
			  id: 2,
			  start: new Date("2018/6/6 08:00 AM"),
			  end: new Date("2018/6/6 09:00 AM"),
			  title: "Meeting"
			}
		]
	}
})
```
{% endmeta %}

## Suggested Links

* [Kendo UI Button for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/button/overview)
* [API Reference of the Button Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/button)
